[% # -- VARS --
   # AUTH_SELECT_OU_NAME
   # AUTH_SELECT_OU_VALUE
   # AUTH_SELECT_ROLE_NAME
   # AUTH_SELECT_ROLE_VALUE
   # AUTH_SELECT_NO_GLOBAL
   # AUTH_SELECT_COMPLETE_AFDELING
%]
[% USE Scalar %]
<div class="widget-auth widget_auth_select clearfix 
   [% IF AUTH_SELECT_COMPLETE_AFDELING %]ezra_auth_select_complete_afdeling[% END %]"
>
    [% tree = c.model('DB::Groups').get_as_tree(c.stash) %]
    <div>
    <label>Afdeling:</label>
    [% INCLUDE widgets/general/ldap_ou_tree.tt
        input_name=AUTH_SELECT_OU_NAME
        input_selected=AUTH_SELECT_OU_VALUE
        entries=tree
        no_global=AUTH_SELECT_NO_GLOBAL ? 1 : 0
        value_as_id=1
        tree_classes=['auth_select_ou', 'select120']
    %]
    </div>

    [% UNLESS AUTH_SELECT_NO_ROLE %]
        [% USE Scalar %]

        <div>
        <label>Rol:</label>
        [% INCLUDE widgets/general/ldap_role_tree.tt
            input_name=AUTH_SELECT_ROLE_NAME
            input_selected=AUTH_SELECT_ROLE_VALUE
            entries=rollen
            no_global= AUTH_SELECT_NO_GLOBAL ? 1 : 0
            value_as_id=1
            tree_classes=['auth_select_role', 'select150']
            allow_empty_value=AUTH_SELECT_COMPLETE_AFDELING
        %]
        </div>
    [% END %]
</div>
